<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="loading-fullscreen">
        <h1>Loading...</h1>
    </div>
    <!-- {{ status }}
    <br />
    {{ user_id }}
    <br />
    {{ encem }}
    <br /> -->
</template>
<script setup lang="ts">

// get URL params: STATUS + user_id
const { status, user_id, encem } = useRoute().query;

try {

    const response: any = await $fetch('https://datamite-bo.dev.loba.com/api/user/token', {
        method: 'POST',
        body: {
            keycloak_id: user_id,
            encem: encem
        }
    });

    localStorage.setItem('dm_atoken', response.access_token);
    localStorage.setItem('dm_rtoken', response.refresh_token);
    localStorage.setItem('dm_etoken', response.expire);

    navigateTo('/dashboard');

} catch (error) {

    console.log( error );

}

</script>